import json


format_token = "#FMT:NODE_KIT#"


def dump_nkit_format(data: str) -> str:
    return format_token + json.dumps(data)


def parse_nkit_format(data: str) -> str | None:
    if data.startswith(format_token):
        print(data[len(format_token):])
        return json.loads(data[len(format_token):])
    
    return None

